Subject: rising/falling waveform granularity

From: Stephen Muller <[email-masked]>
Date: Wed, 31 Jan 2001 11:17:16 -0800 (PST)

Hi,

I am new to the IBIS game so pardon my simplistic question.  At present I am 
having an issue with s2ibis2 and how it generates the rising/falling waveform 
tables.  I edited the .spi files for the rising waveform so that data is taken 
every 50ps for the first 5ns.  Then I set the simulation time to 5ns.  The 
individual .out files that result contain the information I want in my table but 
when the .ibs file is written, the granularity is 100ps instead of the desired 
50ps.  The specification states that 100 points can be in the table but the 
table only has 50 points in it.  Last time I checked 50ps into 5ns is 100.

My question is: How can I set up(or manipulate) the s2ibis2 run so that I get 
the granularity that I want?  Also is there an archive of e-mail that I can 
browse to see if this was discussed in the past?

Thank you,
Stephen

  Stephen Muller
  Electronic Component & Interconnect Technologies
  Engineer
  Phone: 650-786-3374 or x83374
  e-mail [email-masked]

   _/_/_/  _/    _/  _/     _/     
  _/      _/    _/  _/_/   _/       
  _/_/_/ _/    _/  _/  _/ _/  
     _/ _/    _/  _/   _/_/        
_/_/_/  _/_/_/   _/     _/         			 				     		 
M  I  C  R  O  S  Y  S  T  E  M  S

---

From: Mike LaBonte <[email-masked]>
Date: Wed, 31 Jan 2001 15:58:46 -0500

Stephen,

The public s2ibis2 code always resamples the simulated waveforms down
to 51 points. It does this because the typical, minimum, and maximum
curves in the IBIS file have to share the same set of time points,
even though the 3 simulated waveforms may not have the same set of
time points. It is a mystery to me how the number 51 was chosen,
although I have been conversing with the author, Alan Glaser.

I have a version of s2ibis2 with some fixes, including the ability to
output waveforms with any number of points (98 by default). If you are
interested I can send this to you. We have used it for our IBIS model
making. I was going to make more improvements in the waveform point
picking algorithm before posting it publicly, but things got busy and
it may be a while before I revisit this.

Mike LaBonte